using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SK;
using APT.Utility;
using Microsoft.AspNetCore.Mvc;

namespace APT.SK.WebApi.Controllers.Api
{
    /// <summary>
    ///  辨识要求
    /// </summary>
    [Route("api/SK/SKRequest")]
    public partial class RequestController : AuthorizeApiController<T_SK_REQUEST>
    {
       

        /// <summary>
        /// 更新或新增数据
        /// </summary>
        /// <param name="entity">对象实体</param>
        /// <returns></returns>
        [HttpPost, Route("FullUpdate")]
        public JsonActionResult<bool> FullUpdate([FromBody] T_SK_REQUEST entity)
        {
            return WitUpdate(entity);
        }
       
    }
}
